> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /vpc/v1/routes
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /vpc/v1/routes:
    get:
      tags:
        - nebius.vpc.v1.RouteService
      summary: List
      operationId: RouteService_List
      parameters:
        - description: ID of the RouteTable.
          in: query
          name: parentId
          required: true
          schema:
            type: string
        - in: query
          name: pageSize
          schema:
            format: int64
            type: string
        - in: query
          name: pageToken
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1ListRoutesResponse'
          description: A successful response.
components:
  schemas:
    v1ListRoutesResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/v1Route'
          type: array
        nextPageToken:
          type: string
      type: object
    v1Route:
      description: >-
        Routes determine how network traffic is directed within a VPC network,

        specifying the path that traffic should take based on destination
        addresses.
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1RouteSpec'
        status:
          $ref: '#/components/schemas/v1RouteStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1RouteSpec:
      properties:
        description:
          description: Optional description of the route.
          type: string
        destination:
          $ref: '#/components/schemas/v1DestinationMatch'
        nextHop:
          $ref: '#/components/schemas/v1NextHop'
      required:
        - destination
        - nextHop
      type: object
    v1RouteStatus:
      properties:
        nextHop:
          $ref: '#/components/schemas/v1NextHopState'
        priority:
          description: |-
            Indicates priority of the route.
            That is 0 or a positive number.
            Lower value = higher priority; 0 is the highest priority.
          format: int32
          type: integer
        state:
          $ref: '#/components/schemas/v1RouteStatusState'
        type:
          $ref: '#/components/schemas/v1RouteStatusType'
      type: object
    v1DestinationMatch:
      properties:
        cidr:
          description: >-
            Destination CIDR block in IPv4 format (e.g., "0.0.0.0/0" for default
            route, "192.168.100.0/24" for specific subnet).

            The CIDR notation specifies the range of IP addresses that this
            route will match.

            Must be unique within a route table.
          type: string
      required:
        - cidr
      type: object
    v1NextHop:
      properties:
        allocation:
          $ref: '#/components/schemas/v1AllocationNextHop'
        defaultEgressGateway:
          description: >-
            Use the default egress gateway for outbound traffic.

            Note: For VMs with public addresses (Floating IPs/FIPs), the
            FIP-specific route

            takes precedence over this default egress gateway route.
          type: boolean
      type: object
    v1NextHopState:
      properties:
        allocation:
          $ref: '#/components/schemas/v1AllocationNextHopState'
        defaultEgressGateway:
          $ref: '#/components/schemas/v1DefaultEgressGatewayState'
      type: object
    v1RouteStatusState:
      default: STATE_UNSPECIFIED
      description: |2-
         - STATE_UNSPECIFIED: The state is unknown or not yet set.
         - READY: The route is configured and operational.
      enum:
        - STATE_UNSPECIFIED
        - READY
      type: string
    v1RouteStatusType:
      default: TYPE_UNSPECIFIED
      description: Route type.
      enum:
        - TYPE_UNSPECIFIED
        - STATIC
        - REDISTRIBUTED
      type: string
    v1AllocationNextHop:
      description: AllocationNextHop specifies an IP allocation as the next hop.
      properties:
        id:
          description: ID of the IP allocation to use as the next hop.
          type: string
      required:
        - id
      type: object
    v1AllocationNextHopState:
      properties:
        cidr:
          description: The CIDR of the allocation being used as the next hop.
          type: string
      type: object
    v1DefaultEgressGatewayState:
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````